From e078366b9707827d6799fd8c8176dbcaf129251b Mon Sep 17 00:00:00 2001
From: Steve MacLean <sdmaclea.qdt@qualcommdatacenter.com>
Date: Thu, 24 May 2018 14:47:12 -0400
Subject: [PATCH] [Arm64] Set compFloatingPointUsed for SIMD HWIntrincsics

---
 src/jit/hwintrinsicArm64.cpp | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/jit/hwintrinsicArm64.cpp b/src/jit/hwintrinsicArm64.cpp
index b9038f1..326e63c 100644
--- a/src/jit/hwintrinsicArm64.cpp
+++ b/src/jit/hwintrinsicArm64.cpp
@@ -232,6 +232,8 @@ GenTree* Compiler::impHWIntrinsic(NamedIntrinsic        intrinsic,
     // Simd instantiation type check
     if (simdClass != nullptr)
     {
+        compFloatingPointUsed = true;
+
         simdBaseType = getBaseTypeAndSizeOfSIMDType(simdClass, &simdSizeBytes);
 
         if (simdBaseType == TYP_UNKNOWN)
-- 
2.7.4

